Bug 433223 - Review Request: gstreamermm - C++ wrapper for GStreamer library
Summary: Review Request: gstreamermm - C++ wrapper for GStreamer library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-17 20:23 UTC by Denis Leroy
Modified: 2008-06-02 05:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 05:24:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Denis Leroy 2008-02-17 20:23:42 UTC
Spec URL: http://www.poolshark.org/src/gstreamermm-0.9.2-1.fc8.src.rpm
SRPM URL: http://www.poolshark.org/src/gstreamermm.spec

Description:
GStreamermm is a C++ wrapper library for the multimedia library GStreamer. It is designed to allow C++ development of applications that work with multi-media. GStreamermm is part of the gtkmm project.

Notes:
- Tarball comes with empty COPYING file, so the SRPM provides its own of LGPLv2+.

Comment 1 Denis Leroy 2008-02-22 19:00:21 UTC
New upstream version with lots of bug fixes:

Spec URL: http://www.poolshark.org/src/gstreamermm-0.9.4-1.fc8.src.rpm
SRPM URL: http://www.poolshark.org/src/gstreamermm.spec


Comment 2 Brian Pepple 2008-05-25 19:23:38 UTC
MD5Sum:
f0a72d27b1307e4f5aea295d74c8c4a1  gstreamermm-0.9.4.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Rpmlint does not find problems
* Package installs and uninstalls cleanly

Note: Looks like a new version is available.

+1 APPROVED

Comment 3 Denis Leroy 2008-05-31 11:37:06 UTC
New Package CVS Request
=======================
Package Name: gstreamermm
Short Description: C++ wrapper for GStreamer library
Owners: denis
Branches: F-8 F-9
Cvsextras Commits: yes


Comment 4 Kevin Fenzi 2008-05-31 23:22:01 UTC
cvs done.

Comment 5 Denis Leroy 2008-06-02 05:24:34 UTC
Brian, thanks for the review.



Note You need to log in before you can comment on or make changes to this bug.